exports.up = async (knex) => {
  await knex.schema.createTable('product', (table) => {
    table.increments('id');
    table.timestamps(true, true);
    table.string("title").notNullable();
    table.text("description").notNullable();
    table.integer("price");
    table.string("currency", 3);
    table.string("currency_symbol", 1);
    table.boolean("active").default(false);
    table.integer('media_id');
    table.foreign('media_id').references('id').inTable('media');
  });
}

exports.down = async (knex) => {
  return knex.schema.dropTable('product');
}
